まつもと ゆきひろです

In message "[ruby-list:16218] ruby-1.4.0 [BUG] Segmentation fault"
    on 99/08/19, Toshihiko SHIMOKAWA / 下川俊彦 <toshi / csce.kyushu-u.ac.jp> writes:

|ruby-1.4.0 が Segmentation fault で落ちちゃいました。OS は FreeBSD
|3.1-RELEASE です。

[ruby-list:16192]からの現象にちょっとだけ似ていますね。
[ruby-dev:7725]のパッチで状況が変化しませんか?